package ru.yandex.autotests.direct.db.steps;

public enum JooqCampaignsOpts {
    ENABLE_CPC_HOLD("enable_cpc_hold"),
    NO_EXTENDED_GEOTARGETING("no_extended_geotargeting"),
    USE_CURRENT_REGION("use_current_region"),
    USE_REGULAR_REGION("use_regular_region"),
    IS_ALONE_TRAFARET_ALLOWED("is_alone_trafaret_allowed"),
    IS_SIMPLIFIED_STRATEGY_VIEW_ENABLED("is_simplified_strategy_view_enabled"),
    IS_SKADNETWORK_ENABLED("is_skadnetwork_enabled"),
    REQUIRE_FILTRATION_BY_DONT_SHOW_DOMAINS("require_filtration_by_dont_show_domains"),
    IS_ORDER_PHRASE_LENGTH_PRECEDENCE_ENABLED("is_order_phrase_length_precedence_enabled"),
    IS_NEW_IOS_VERSION_ENABLED("is_new_ios_version_enabled"),
    S2S_TRACKING_ENABLED("s2s_tracking_enabled"),
    RECOMMENDATIONS_MANAGEMENT_ENABLED("recommendations_management_enabled"),
    PRICE_RECOMMENDATIONS_MANAGEMENT_ENABLED("price_recommendations_management_enabled"),
    ;

    private final String value;

    JooqCampaignsOpts(String value) {
        this.value = value;
    }

    public String dbValue() {
        return value;
    }
}
